import json

import cv2
import requests
from PIL import Image

apiKey = '인증키'

# 가강수량 API 호출후 이미지 저장
f1 = open('wc1.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retModelImgUrl.kfrm?modl=GDAPS_KIM&varGrp=UNIS_SFC&var=TPW&lev=1000&analTime=202306280000&foreTime=202306280000&PROJ=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&basicSmtLvl=3&basicTotSmtLvl=1&repDispCd=F&symblDispType=&isRasterFillCheck=N&meta=0&symbl=1&authKey=' + apiKey)
f1.write(response.content)
f1.close()

# 해면기압 API 호출후 이미지 저장
f2 = open('wc2.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retModelImgUrl.kfrm?modl=GDAPS_KIM&varGrp=UNIS_SFC&var=PRMSL&lev=0&analTime=202306280000&foreTime=202306280000&PROJ=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&basicSmtLvl=3&basicTotSmtLvl=5&repDispCd=L&symblDispType=&isRasterFillCheck=N&meta=0&symbl=1&authKey=' + apiKey)
f2.write(response.content)
f2.close()

# 바람 API 호출후 이미지 저장
f3 = open('wc3.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retModelImgUrl.kfrm?modl=GDAPS_KIM&varGrp=PRSS_WND&var=WSPD_25W&lev=500&analTime=202306280000&foreTime=202306280000&PROJ=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&basicSmtLvl=3&basicTotSmtLvl=5&repDispCd=S&symblDispType=W&isRasterFillCheck=N&meta=0&symbl=3&authKey=' + apiKey)
f3.write(response.content)
f3.close()

# 국가경계 API 호출후 이미지 저장
f4 = open('wc4.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retBackMapUrl.kfrm?type=WC&projection=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&meta=0&mdl=GDAPS_KIM&basicSmtLvl=3&authKey=' + apiKey)
f4.write(response.content)
f4.close()

# 해안선 API 호출후 이미지 저장
f5 = open('wc5.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retBackMapUrl.kfrm?type=SL&projection=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&meta=0&mdl=GDAPS_KIM&basicSmtLvl=3&authKey=' + apiKey)
f5.write(response.content)
f5.close()

# 위경도선 API 호출후 이미지 저장
f6 = open('wc6.png', 'wb')
response = requests.get('https://apihub.kma.go.kr/api/typ07/afsiwa/iwa/api/iwaImgUrlApi/retGridImg.kfrm?PROJ=LCC&ZOOMLVL=7&stLon=48.19729473179383&stLat=36.05394599513232&edLon=162.3512886531648&edLat=3.3720585707135684&contourLineColor=0x000000&contourLineDiv=D&contourLineThck=1&meta=0&mdl=GDAPS_KIM&basicSmtLvl=3&authKey=' + apiKey)
f6.write(response.content)
f6.close()

img1 = Image.open(f1.name)
img2 = Image.open(f2.name)
img3 = Image.open(f3.name)
img4 = Image.open(f4.name)
img5 = Image.open(f5.name)
img6 = Image.open(f6.name)

# 첫번째 이미지에 두번째 이미지 합성
img1.paste(img2, (0, 0), img2)
# 첫번째 이미지에 세번째 이미지 합성
img1.paste(img3, (0, 0), img3)
# 첫번째 이미지에 네번째 이미지 합성
img1.paste(img4, (0, 0), img4)
# 첫번째 이미지에 다섯번째 이미지 합성
img1.paste(img5, (0, 0), img5)
# 첫번째 이미지에 여섯번째 이미지 합성
img1.paste(img6, (0, 0), img6)

# 합성 이미지 확인
img1.show()

# 최종 이미지 저장
img1.save('wcComp.png')
